#### D.5.17.20 addSheaf

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  addSheaf(A,B); A sheaf, B sheaf

Return:
  sheaf

Theory:
  This is the direct sum of two sheaves.

Example:

    LIB "schubert.lib";
    variety G = Grassmannian(3,5);
    def r = G.baseRing;
    setring r;
    sheaf S = makeSheaf(G,subBundle);
    sheaf Q = makeSheaf(G,quotientBundle);
    sheaf D = S + Q;
    D;
    ==> A sheaf of rank  5
    ==>
    D.ChernCharacter == rankSheaf(D);
    ==> 1
    totalChernClass(D) == 1;
    ==> 1

See also: dualSheaf; quotSheaf; symmetricPowerSheaf; tensorSheaf.

User manual for Singular version 4.4.1, 2025, generated by texi2html.